## r-cran-shinyfiles 0.9.0

=== DESCRIPTION ===
Package: shinyFiles
Type: Package
Title: A Server-Side File System Viewer for Shiny
Version: 0.9.0
Authors@R: 
    c(person(given = "Thomas Lin",
             family = "Pedersen",
             role = c("cre", "aut"),
             email = "thomasp85@gmail.com",
             comment = c(ORCID = "0000-0002-5147-4711")),
      person(given = "Vincent",
             family = "Nijs",
             role = "aut"),
      person(given = "Thomas",
             family = "Schaffner",
             role = "aut"),
      person(given = "Eric",
             family = "Nantz",
             role = "aut"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: Provides functionality for client-side navigation of
    the server side file system in shiny apps. In case the app is running
    locally this gives the user direct access to the file system without the
    need to "download" files to a temporary location. Both file and folder
    selection as well as file saving is available.
License: GPL (>= 2)
Encoding: UTF-8
Imports: htmltools, jsonlite, tools, shiny (>= 1.1.0), fs (>= 1.2.6),
        tibble (>= 1.4.2)
Collate: 'aaa.R' 'filechoose.R' 'dirchoose.R' 'filesave.R'
        'shinyFiles-package.R'
RoxygenNote: 7.1.1
URL: https://github.com/thomasp85/shinyFiles
BugReports: https://github.com/thomasp85/shinyFiles/issues
NeedsCompilation: no
Packaged: 2020-11-09 15:43:38 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  Vincent Nijs [aut],
  Thomas Schaffner [aut],
  Eric Nantz [aut]
Repository: CRAN
Date/Publication: 2020-11-09 16:40:02 UTC

## r-cran-shinyfiles 0.7.2

=== debian/changelog ===
r-cran-shinyfiles (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 19 Dec 2018 08:00:07 +0100

r-cran-shinyfiles (0.7.1-1) unstable; urgency=medium

  * Initial release (closes: #911508)

 -- Andreas Tille <tille@debian.org>  Sun, 21 Oct 2018 10:30:31 +0200

=== debian/control ===
Source: r-cran-shinyfiles
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-htmltools,
               r-cran-jsonlite,
               r-cran-shiny (>= 1.1.0),
               r-cran-fs,
               r-cran-tibble (>= 1.4.2)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles.git
Homepage: https://cran.r-project.org/package=shinyFiles

Package: r-cran-shinyfiles
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R server-side file system viewer for shiny
 Provides functionality for client-side navigation of
 the server side file system in shiny apps. In case the app is running
 locally this gives the user direct access to the file system without the
 need to "download" files to a temporary location. Both file and folder
 selection as well as file saving is available.

## r-cran-shinyfiles 0.7.3

=== debian/changelog ===
r-cran-shinyfiles (0.7.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 09:54:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-htmltools,
@@ -12,7 +12,7 @@
                r-cran-shiny (>= 1.1.0),
                r-cran-fs,
                r-cran-tibble (>= 1.4.2)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles.git
 Homepage: https://cran.r-project.org/package=shinyFiles

## r-cran-shinyfiles 0.7.5

=== debian/changelog ===
r-cran-shinyfiles (0.7.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 23:51:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-htmltools,
@@ -12,7 +12,7 @@
                r-cran-shiny (>= 1.1.0),
                r-cran-fs,
                r-cran-tibble (>= 1.4.2)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles.git
 Homepage: https://cran.r-project.org/package=shinyFiles

## r-cran-shinyfiles 0.8.0

=== debian/changelog ===
r-cran-shinyfiles (0.8.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 13:08:07 +0200

r-cran-shinyfiles (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 16 Apr 2020 16:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                r-cran-shiny (>= 1.1.0),
                r-cran-fs,
                r-cran-tibble (>= 1.4.2)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles.git
 Homepage: https://cran.r-project.org/package=shinyFiles
+Rules-Requires-Root: no
 
 Package: r-cran-shinyfiles
 Architecture: all

## r-cran-shinyfiles 0.9.0

=== debian/changelog ===
r-cran-shinyfiles (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 11:17:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-htmltools,

## r-cran-shinyfiles 0.9.1

=== debian/changelog ===
r-cran-shinyfiles (0.9.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 21:49:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                r-base-dev,
                r-cran-htmltools,
                r-cran-jsonlite,
-               r-cran-shiny (>= 1.1.0),
+               r-cran-shiny,
                r-cran-fs,
-               r-cran-tibble (>= 1.4.2)
-Standards-Version: 4.5.0
+               r-cran-tibble
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles.git
 Homepage: https://cran.r-project.org/package=shinyFiles

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.txt" -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/shinyFiles_([-\d.]*)\.tar\.gz

## r-cran-shinyfiles 0.9.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: shinyFiles
 Type: Package
 Title: A Server-Side File System Viewer for Shiny
-Version: 0.9.0
+Version: 0.9.3
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -29,15 +29,16 @@
         tibble (>= 1.4.2)
 Collate: 'aaa.R' 'filechoose.R' 'dirchoose.R' 'filesave.R'
         'shinyFiles-package.R'
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 URL: https://github.com/thomasp85/shinyFiles
 BugReports: https://github.com/thomasp85/shinyFiles/issues
+Suggests: covr
 NeedsCompilation: no
-Packaged: 2020-11-09 15:43:38 UTC; thomas
+Packaged: 2022-08-19 13:37:35 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   Vincent Nijs [aut],
   Thomas Schaffner [aut],
   Eric Nantz [aut]
 Repository: CRAN
-Date/Publication: 2020-11-09 16:40:02 UTC
+Date/Publication: 2022-08-19 14:00:02 UTC

=== inst/example/DESCRIPTION ===
Title: ShinyFiles example
Author: shinyFiles
AuthorUrl: https://github.com/thomasp85/shinyFiles
DisplayMode: Showcase
Tags: examples
Type: Shiny

=== debian/changelog ===
r-cran-shinyfiles (0.9.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 14:16:24 +0200

r-cran-shinyfiles (0.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.2
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 12:31:02 +0530

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-shiny,
                r-cran-fs,
                r-cran-tibble
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shinyfiles.git
 Homepage: https://cran.r-project.org/package=shinyFiles
